﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[PURHDR]') AND name = N'XPURHDR1')
BEGIN 
PRINT 'Creating index XPURHDR1 on table PURHDR'
CREATE NONCLUSTERED INDEX [XPURHDR1] ON [dbo].[PURHDR] 
(
	[NUMB] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[PURHDR]') AND name = N'XPURHDR2')
BEGIN 
PRINT 'Creating index XPURHDR2 on table PURHDR'
CREATE NONCLUSTERED INDEX [XPURHDR2] ON [dbo].[PURHDR] 
(
	[SUPP] ASC,
	[NUMB] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[PURHDR]') AND name = N'XPURHDR3')
BEGIN 
PRINT 'Creating index XPURHDR3 on table PURHDR'
CREATE NONCLUSTERED INDEX [XPURHDR3] ON [dbo].[PURHDR] 
(
	[DDAT] ASC,
	[NUMB] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'PURHDR' AND COLUMN_NAME = 'RELN' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_PURHDR_RELN')
BEGIN 
    PRINT 'Creating default constraint DF_PURHDR_RELN on table PURHDR' 
    ALTER TABLE [dbo].[PURHDR]
    ADD CONSTRAINT [DF_PURHDR_RELN] DEFAULT ((0)) FOR [RELN]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'PURHDR' AND COLUMN_NAME = 'RCOM' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_PURHDR_RCOM')
BEGIN 
    PRINT 'Creating default constraint DF_PURHDR_RCOM on table PURHDR' 
    ALTER TABLE [dbo].[PURHDR]
    ADD CONSTRAINT [DF_PURHDR_RCOM] DEFAULT ((0)) FOR [RCOM]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'PURHDR' AND COLUMN_NAME = 'RPAR' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_PURHDR_RPAR')
BEGIN 
    PRINT 'Creating default constraint DF_PURHDR_RPAR on table PURHDR' 
    ALTER TABLE [dbo].[PURHDR]
    ADD CONSTRAINT [DF_PURHDR_RPAR] DEFAULT ((0)) FOR [RPAR]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'PURHDR' AND COLUMN_NAME = 'DELM' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_PURHDR_DELM')
BEGIN 
    PRINT 'Creating default constraint DF_PURHDR_DELM on table PURHDR' 
    ALTER TABLE [dbo].[PURHDR]
    ADD CONSTRAINT [DF_PURHDR_DELM] DEFAULT ((0)) FOR [DELM]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'PURHDR' AND COLUMN_NAME = 'COMM' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_PURHDR_COMM')
BEGIN 
    PRINT 'Creating default constraint DF_PURHDR_COMM on table PURHDR' 
    ALTER TABLE [dbo].[PURHDR]
    ADD CONSTRAINT [DF_PURHDR_COMM] DEFAULT ((0)) FOR [COMM]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'PURHDR' AND COLUMN_NAME = 'TNET' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_PURHDR_TNET')
BEGIN 
    PRINT 'Creating default constraint DF_PURHDR_TNET on table PURHDR' 
    ALTER TABLE [dbo].[PURHDR]
    ADD CONSTRAINT [DF_PURHDR_TNET] DEFAULT ((0)) FOR [TNET]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'PURHDR' AND COLUMN_NAME = 'OKIS' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_PURHDR_OKIS')
BEGIN 
    PRINT 'Creating default constraint DF_PURHDR_OKIS on table PURHDR' 
    ALTER TABLE [dbo].[PURHDR]
    ADD CONSTRAINT [DF_PURHDR_OKIS] DEFAULT ((0)) FOR [OKIS]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'PURHDR' AND COLUMN_NAME = 'LastUpdated' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_PURHDR_LastUpdated')
BEGIN 
    PRINT 'Creating default constraint DF_PURHDR_LastUpdated on table PURHDR' 
    ALTER TABLE [dbo].[PURHDR]
    ADD CONSTRAINT [DF_PURHDR_LastUpdated] DEFAULT (getdate()) FOR [LastUpdated]
END 
GO

